TaxonomyRow (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.shared

## Class TaxonomyRow

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.shared.TaxonomyRow

- All Implemented Interfaces:
    Serializable, Comparable<TaxonomyRow>, FetchingElement, SelectableElement, TaxonomyInterface, TaxonomyProvider

      @Entity
      public class TaxonomyRow
      extends Object
      implements FetchingElement, Serializable, TaxonomyInterface, TaxonomyProvider, SelectableElement, Comparable<TaxonomyRow>

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `author`
    `static String` | `AUTHOR`
    `static String` | `BASE_TAXON_VALUE`
    `protected String` | `baseTaxonValue`
    `static String` | `CLASS_ID`
    `protected String` | `classID`
    `protected List<CommonName>` | `commonNames`
    `protected String` | `credits`
    `static String` | `CREDITS`
    `static String` | `DATAPROVIDER_ID`
    `static String` | `DATAPROVIDER_NAME`
    `protected String` | `dataProviderId`
    `protected String` | `dataProviderName`
    `static String` | `DATASET_CITATION`
    `protected String` | `dataSetCitation`
    `static String` | `DATEMODIFIED`
    `static String` | `EXISTS_COMMONNAME`
    `static String` | `EXISTS_PROPERTIES`
    `protected boolean` | `existsCommonName`
    `protected boolean` | `existsProperties`
    `static String` | `FAMILY_ID`
    `protected String` | `familyID`
    `static String` | `GENUS_ID`
    `protected String` | `genusID`
    `protected int` | `id`
    `static String` | `ID_FIELD`
    `static String` | `IS_PARENT`
    `static String` | `KINGDOM_ID`
    `protected String` | `kingdomID`
    `protected String` | `lsid`
    `static String` | `LSID`
    `static String` | `MATCHING_ACCORDING_TO`
    `protected String` | `matchingAccording`
    `protected String` | `name`
    `static String` | `NAME`
    `static String` | `ORDER_ID`
    `protected String` | `orderID`
    `static String` | `PARENT_ID`
    `protected String` | `parentID`
    `protected int` | `parentIndex`
    `protected List<TaxonomyRow>` | `parents`
    `static String` | `PHYLUM_ID`
    `protected String` | `phylumID`
    `protected List<ItemParameter>` | `properties`
    `static String` | `PROPERTIES`
    `static String` | `PROPERTIESASXML`
    `protected String` | `rank`
    `static String` | `RANK`
    `protected boolean` | `selected`
    `static String` | `SELECTED`
    `static String` | `SERVICE_ID_FIELD`
    `protected String` | `serviceIdField`
    `static String` | `SPECIES_ID`
    `protected String` | `speciesID`
    `static String` | `STATUS_REMARKS`
    `static String` | `STATUSNAME`
    `static String` | `STATUSREFID`
    `protected String` | `statusRemarks`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TaxonomyRow()`
    `` | `TaxonomyRow(int id)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(TaxonomyRow o)`
    `boolean` | `existsCommonName()`
    `boolean` | `existsProperties()`
    `String` | `getAccordingTo()`
    `String` | `getAuthor()`
    `String` | `getBaseTaxonValue()`
    `String` | `getClassID()`
    `List<CommonName>` | `getCommonNames()`
    `String` | `getCredits()`
    `String` | `getDataProviderId()`
    `String` | `getDataProviderName()`
    `String` | `getDataSetCitation()`
    `String` | `getDateModified()`
    `String` | `getFamilyID()`
    `String` | `getGenusID()`
    `int` | `getId()`
    `String` | `getIdToString()`
    `String` | `getKingdomID()`
    `String` | `getLsid()`
    `String` | `getName()`
    `String` | `getOrderID()`
    `String` | `getParentID()`
    `int` | `getParentIndex()`
    `List<TaxonomyRow>` | `getParents()`
    `String` | `getPhylumID()`
    `List<ItemParameter>` | `getProperties()`
    `String` | `getRank()`
    `String` | `getServiceId()`
    `String` | `getSpeciesID()`
    `String` | `getStatusName()`
    `String` | `getStatusRefId()`
    `String` | `getStatusRemarks()`
    `String` | `getTaxonId()`
    `boolean` | `isParent()`
    `boolean` | `isSelected()`
    `void` | `setAuthor(String author)`
    `void` | `setBaseTaxonValue(String taxonomyValue)`
    `void` | `setClassID(String classID)`
    `void` | `setCommonNames(List<CommonName> commonNames)`
    `void` | `setCredits(String credits)`
    `void` | `setDataProviderId(String dataProviderId)`
    `void` | `setDataProviderName(String dataProviderName)`
    `void` | `setDataSetCitation(String dataSetCitation)`
    `void` | `setDateModified(String dateModified)`
    `void` | `setExistsCommonName(boolean existsCommonName)`
    `void` | `setExistsProperties(boolean b)`
    `void` | `setFamilyID(String familyID)`
    `void` | `setGenusID(String genusID)`
    `void` | `setKingdomID(String kingdomID)`
    `void` | `setLsid(String lsid)`
    `void` | `setMatchingAccording(String matchingAccording)`
    `void` | `setName(String name)`
    `void` | `setOrderID(String orderID)`
    `void` | `setParent(boolean isParent)`
    `void` | `setParent(List<TaxonomyRow> parent)`
    `void` | `setParentID(String parentID)`
    `void` | `setParentIndex(int parentIndex)`
    `void` | `setPhylumID(String phylumID)`
    `void` | `setProperties(List<ItemParameter> properties)`
    `void` | `setRank(String rank)`
    `void` | `setSelected(boolean selected)`
    `void` | `setServiceId(String serviceIdField)`
    `void` | `setSpeciesID(String speciesID)`
    `void` | `setStatusName(String statusName)`
    `void` | `setStatusRefId(String statusRefId)`
    `void` | `setStatusRemarks(String statusRemarks)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ID_FIELD

          public static final String ID_FIELD

      See Also:
        Constant Field Values

    - #### DATAPROVIDER_NAME

          public static final String DATAPROVIDER_NAME

      See Also:
        Constant Field Values

    - #### BASE_TAXON_VALUE

          public static final String BASE_TAXON_VALUE

      See Also:
        Constant Field Values

    - #### DATAPROVIDER_ID

          public static final String DATAPROVIDER_ID

      See Also:
        Constant Field Values

    - #### RANK

          public static final String RANK

      See Also:
        Constant Field Values

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### STATUSREFID

          public static final String STATUSREFID

      See Also:
        Constant Field Values

    - #### STATUSNAME

          public static final String STATUSNAME

      See Also:
        Constant Field Values

    - #### DATEMODIFIED

          public static final String DATEMODIFIED

      See Also:
        Constant Field Values

    - #### PARENT_ID

          public static final String PARENT_ID

      See Also:
        Constant Field Values

    - #### IS_PARENT

          public static final String IS_PARENT

      See Also:
        Constant Field Values

    - #### DATASET_CITATION

          public static final String DATASET_CITATION

      See Also:
        Constant Field Values

    - #### EXISTS_COMMONNAME

          public static final String EXISTS_COMMONNAME

      See Also:
        Constant Field Values

    - #### SELECTED

          public static final String SELECTED

      See Also:
        Constant Field Values

    - #### MATCHING_ACCORDING_TO

          public static final String MATCHING_ACCORDING_TO

      See Also:
        Constant Field Values

    - #### SERVICE_ID_FIELD

          public static final String SERVICE_ID_FIELD

      See Also:
        Constant Field Values

    - #### STATUS_REMARKS

          public static final String STATUS_REMARKS

      See Also:
        Constant Field Values

    - #### AUTHOR

          public static final String AUTHOR

      See Also:
        Constant Field Values

    - #### CREDITS

          public static final String CREDITS

      See Also:
        Constant Field Values

    - #### LSID

          public static final String LSID

      See Also:
        Constant Field Values

    - #### PROPERTIES

          public static final String PROPERTIES

      See Also:
        Constant Field Values

    - #### PROPERTIESASXML

          public static final String PROPERTIESASXML

      See Also:
        Constant Field Values

    - #### KINGDOM_ID

          public static final String KINGDOM_ID

      See Also:
        Constant Field Values

    - #### PHYLUM_ID

          public static final String PHYLUM_ID

      See Also:
        Constant Field Values

    - #### CLASS_ID

          public static final String CLASS_ID

      See Also:
        Constant Field Values

    - #### ORDER_ID

          public static final String ORDER_ID

      See Also:
        Constant Field Values

    - #### FAMILY_ID

          public static final String FAMILY_ID

      See Also:
        Constant Field Values

    - #### GENUS_ID

          public static final String GENUS_ID

      See Also:
        Constant Field Values

    - #### SPECIES_ID

          public static final String SPECIES_ID

      See Also:
        Constant Field Values

    - #### EXISTS_PROPERTIES

          public static final String EXISTS_PROPERTIES

      See Also:
        Constant Field Values

    - #### id

          protected int id

    - #### author

          protected String author

    - #### credits

          protected String credits

    - #### lsid

          protected String lsid

    - #### name

          protected String name

    - #### serviceIdField

          protected String serviceIdField

    - #### selected

          protected boolean selected

    - #### dataProviderId

          protected String dataProviderId

    - #### dataProviderName

          protected String dataProviderName

    - #### dataSetCitation

          protected String dataSetCitation

    - #### matchingAccording

          protected String matchingAccording

    - #### baseTaxonValue

          protected String baseTaxonValue

    - #### rank

          protected String rank

    - #### kingdomID

          protected String kingdomID

    - #### phylumID

          protected String phylumID

    - #### classID

          protected String classID

    - #### orderID

          protected String orderID

    - #### familyID

          protected String familyID

    - #### genusID

          protected String genusID

    - #### speciesID

          protected String speciesID

    - #### existsCommonName

          protected boolean existsCommonName

    - #### statusRemarks

          protected String statusRemarks

    - #### existsProperties

          protected boolean existsProperties

    - #### commonNames

          protected List<CommonName> commonNames

    - #### properties

          protected List<ItemParameter> properties

    - #### parents

          protected List<TaxonomyRow> parents

    - #### parentID

          protected String parentID

    - #### parentIndex

          protected int parentIndex

  - ### Constructor Detail

    - #### TaxonomyRow

          protected TaxonomyRow()

    - #### TaxonomyRow

          public TaxonomyRow(int id)

      Parameters:
        `id` -

  - ### Method Detail

    - #### getId

          public int getId()

      Specified by:
        `getId` in interface `FetchingElement`
      Returns:
        the id

    - #### getIdToString

          public String getIdToString()

      Returns:
        the id

    - #### isSelected

          public boolean isSelected()

      Specified by:
        `isSelected` in interface `SelectableElement`
      Returns:
        the selected

    - #### setSelected

          public void setSelected(boolean selected)

      Specified by:
        `setSelected` in interface `SelectableElement`
      Parameters:
        `selected` - the selected to set

    - #### getDataProviderId

          public String getDataProviderId()

      Returns:
        the dataProviderId

    - #### setDataProviderId

          public void setDataProviderId(String dataProviderId)

      Parameters:
        `dataProviderId` - the dataProviderId to set

    - #### getDataProviderName

          public String getDataProviderName()

      Returns:
        the dataProviderName

    - #### setDataProviderName

          public void setDataProviderName(String dataProviderName)

      Parameters:
        `dataProviderName` - the dataProviderName to set

    - #### getCommonNames

          public List<CommonName> getCommonNames()

    - #### setCommonNames

          public void setCommonNames(List<CommonName> commonNames)

    - #### getDataSetCitation

          public String getDataSetCitation()

      Returns:
        the dataSetCitation

    - #### setDataSetCitation

          public void setDataSetCitation(String dataSetCitation)

      Parameters:
        `dataSetCitation` - the dataSetCitation to set

    - #### setBaseTaxonValue

          public void setBaseTaxonValue(String taxonomyValue)

    - #### getBaseTaxonValue

          public String getBaseTaxonValue()

      Specified by:
        `getBaseTaxonValue` in interface `TaxonomyProvider`

    - #### getRank

          public String getRank()

      Specified by:
        `getRank` in interface `TaxonomyInterface`
      Returns:
        the rank

    - #### setRank

          public void setRank(String rank)

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `TaxonomyInterface`
      Returns:
        the name

    - #### setName

          public void setName(String name)

    - #### setStatusRefId

          public void setStatusRefId(String statusRefId)

    - #### setStatusName

          public void setStatusName(String statusName)

    - #### setDateModified

          public void setDateModified(String dateModified)

    - #### setParent

          public void setParent(List<TaxonomyRow> parent)

    - #### getParents

          public List<TaxonomyRow> getParents()

      Specified by:
        `getParents` in interface `TaxonomyProvider`

    - #### getStatusRefId

          public String getStatusRefId()

    - #### getStatusName

          public String getStatusName()

    - #### getDateModified

          public String getDateModified()

    - #### getKingdomID

          public String getKingdomID()

    - #### setKingdomID

          public void setKingdomID(String kingdomID)

      Specified by:
        `setKingdomID` in interface `TaxonomyProvider`

    - #### getPhylumID

          public String getPhylumID()

    - #### setPhylumID

          public void setPhylumID(String phylumID)

      Specified by:
        `setPhylumID` in interface `TaxonomyProvider`

    - #### getClassID

          public String getClassID()

    - #### setClassID

          public void setClassID(String classID)

      Specified by:
        `setClassID` in interface `TaxonomyProvider`

    - #### getOrderID

          public String getOrderID()

    - #### setOrderID

          public void setOrderID(String orderID)

      Specified by:
        `setOrderID` in interface `TaxonomyProvider`

    - #### getFamilyID

          public String getFamilyID()

    - #### setFamilyID

          public void setFamilyID(String familyID)

      Specified by:
        `setFamilyID` in interface `TaxonomyProvider`

    - #### getGenusID

          public String getGenusID()

    - #### setGenusID

          public void setGenusID(String genusID)

      Specified by:
        `setGenusID` in interface `TaxonomyProvider`

    - #### getSpeciesID

          public String getSpeciesID()

    - #### setSpeciesID

          public void setSpeciesID(String speciesID)

      Specified by:
        `setSpeciesID` in interface `TaxonomyProvider`

    - #### getTaxonId

          public String getTaxonId()

      Specified by:
        `getTaxonId` in interface `TaxonomyInterface`
      Returns:
        the id

    - #### getAccordingTo

          public String getAccordingTo()

      Specified by:
        `getAccordingTo` in interface `TaxonomyInterface`
      Returns:
        the accordingTo

    - #### existsCommonName

          public boolean existsCommonName()

      Returns:
        true if there are common names

    - #### setExistsCommonName

          public void setExistsCommonName(boolean existsCommonName)

      Parameters:
        `the` - boolean to set

    - #### setMatchingAccording

          public void setMatchingAccording(String matchingAccording)

    - #### getParentID

          public String getParentID()

    - #### setParentID

          public void setParentID(String parentID)

    - #### getServiceId

          public String getServiceId()

    - #### setServiceId

          public void setServiceId(String serviceIdField)

    - #### getStatusRemarks

          public String getStatusRemarks()

    - #### setStatusRemarks

          public void setStatusRemarks(String statusRemarks)

    - #### getAuthor

          public String getAuthor()

    - #### setAuthor

          public void setAuthor(String author)

    - #### getCredits

          public String getCredits()

    - #### setCredits

          public void setCredits(String credits)

    - #### getLsid

          public String getLsid()

    - #### setLsid

          public void setLsid(String lsid)

    - #### getProperties

          public List<ItemParameter> getProperties()

    - #### setProperties

          public void setProperties(List<ItemParameter> properties)

    - #### setExistsProperties

          public void setExistsProperties(boolean b)

    - #### existsProperties

          public boolean existsProperties()

    - #### isParent

          public boolean isParent()

    - #### setParent

          public void setParent(boolean isParent)

    - #### getParentIndex

          public int getParentIndex()

    - #### setParentIndex

          public void setParentIndex(int parentIndex)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### compareTo

          public int compareTo(TaxonomyRow o)

      Specified by:
        `compareTo` in interface `Comparable<TaxonomyRow>`

Copyright © 2013. All Rights Reserved.